Package Details: huggle-git 3.4.10.r29.g40bf0269-1

Git Clone URL: https://aur.archlinux.org/huggle-git.git (read-only, click to copy)
Package Base: huggle-git
Description: Anti-vandalism tool for use on MediaWiki-based projects
Upstream URL: https://en.wikipedia.org/wiki/Wikipedia:Huggle
Licenses: GPL
Conflicts: huggle
Provides: huggle
Submitter: tanner
Maintainer: AntiComposite
Last Packager: AntiComposite
Votes: 0
Popularity: 0.000000
First Submitted: 2013-12-09 02:34
Last Updated: 2020-06-06 15:32

Latest Comments

AntiComposite commented on 2020-04-26 02:39

Any changes to makepkg.conf or the other things mentioned in >https://wiki.archlinux.org/index.php/Arch_User_Repository#Debugging_the_package_build_process>? The package builds in a clean chroot for me.

curtispf commented on 2020-04-25 20:41

The log does include the line "Using system yaml-cpp", yes. I'm running yaml-cpp 0.6.3-2. And sadly, a cleanbuild doesn't make a difference :(

AntiComposite commented on 2020-04-25 20:35

Does the beginning of the CMake log include "Using system yaml-cpp"? What version of yaml-cpp do you have? Have you tried a cleanbuild (makepkg -Csi)?

curtispf commented on 2020-04-25 11:15

Building with AntiComposite's patch still errors for me, but gives me a different error:

[ 95%] Building CXX object extensions/mass-delivery/CMakeFiles/huggle_md.dir/src/deliveryform.cpp.o
/usr/bin/ld: ../huggle_core/libhuggle_core.so: undefined reference to `YAML::detail::node_data::empty_scalar[abi:cxx11]'
collect2: error: ld returned 1 exit status
make[2]: *** [huggle/CMakeFiles/huggle.dir/build.make:141: huggle/huggle] Error 1
make[2]: Leaving directory '/home/curtispf/aur-huggle-git/src/build'
make[1]: *** [CMakeFiles/Makefile2:1164: huggle/CMakeFiles/huggle.dir/all] Error 2
make[1]: *** Waiting for unfinished jobs....

AntiComposite commented on 2020-04-25 00:22

Upstream is now patched so that it can build with an already-installed yaml-cpp. Compiling from source, however, will still not put the Huggle extensions in the correct place. To use the correct yaml-cpp and fix the extension paths, I am using the PKGBUILD and patch here: https://gist.github.com/AntiCompositeNumber/0cfc97a22c1c0b0131e4d47726d01296

sdamashek commented on 2015-05-08 00:04

Same issue as codl here.

codl commented on 2015-05-01 12:32

Doesn't build for me: http://hastebin.com/raw/wafevigiqa